Bug 201908 - sysutils/ganglia-webfrontend maintainer change: simplify permissions in pkg-plist and fix pkg-message.in
Summary: sysutils/ganglia-webfrontend maintainer change: simplify permissions in pkg-p...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL:
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2015-07-27 01:50 UTC by Joseph Mingrone
Modified: 2015-07-30 13:42 UTC (History)
1 user (show)

See Also:


Attachments
patch to simplifying permissions in pkg-plist and updates to pkg-message.in (1.66 KB, patch)
2015-07-27 01:50 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2015-07-27 01:50:32 UTC
Created attachment 159292 [details]
patch to simplifying permissions in pkg-plist and updates to pkg-message.in
Comment 1 Mark Felder freebsd_committer 2015-07-28 18:20:46 UTC
Very good, this will fix all the files being owned by WWWOWN which is big security hole waiting to happen :)
Comment 2 commit-hook freebsd_committer 2015-07-28 18:33:10 UTC
A commit references this bug:

Author: feld
Date: Tue Jul 28 18:32:19 UTC 2015
New revision: 393088
URL: https://svnweb.freebsd.org/changeset/ports/393088

Log:
  Fix file permissions so WWWDIR is not writable by WWWOWN
  Improve pkg-message notes on setting up Apache and Nginx

  PR:	201908

Changes:
  head/sysutils/ganglia-webfrontend/Makefile
  head/sysutils/ganglia-webfrontend/files/pkg-message.in
  head/sysutils/ganglia-webfrontend/pkg-plist
Comment 3 Mark Felder freebsd_committer 2015-07-28 18:51:33 UTC
waiting on a discussion with ports-secteam about pushing this to 2015Q3
Comment 4 commit-hook freebsd_committer 2015-07-30 13:40:45 UTC
A commit references this bug:

Author: feld
Date: Thu Jul 30 13:40:09 UTC 2015
New revision: 393243
URL: https://svnweb.freebsd.org/changeset/ports/393243

Log:
  MFH: r393088

  Fix file permissions so WWWDIR is not writable by WWWOWN
  Improve pkg-message notes on setting up Apache and Nginx

  PR:	201908
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/sysutils/ganglia-webfrontend/Makefile
  branches/2015Q3/sysutils/ganglia-webfrontend/files/pkg-message.in
  branches/2015Q3/sysutils/ganglia-webfrontend/pkg-plist